Name:		qtdbf
Version:	1.0.0
Release:	1%{?dist}
License:	GPLv3+
Url:		https://github.com/Voral/qtDbf/
Source0:	https://github.com/Voral/qtDbf/archive/%{version}/qtDbf-%{version}.tar.gz
Summary:	A simple DBF viewer and editor
BuildRequires:	qt4-devel, desktop-file-utils

%description
A simple Qt4-based DBF viewer and editor.

%prep
%setup -q -n qtDbf-%{version}

%build
qmake-qt4 PREFIX=%{_prefix}
make release %{?_smp_mflags}

%install
make install INSTALL_ROOT=%{buildroot}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
%find_lang %{name} --with-qt --without-mo

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc COPYING ChangeLog README.md
%doc %{_datadir}/%{name}/help/*
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/help/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%changelog
* Sun Oct 13 2013 TI_Eugene <ti.eugene@gmail.com> 1.0.0-1
- Version bump

* Thu Aug 29 2013 TI_Eugene <ti.eugene@gmail.com> 0.9.11-1
- Version bump

* Tue Jul 30 2013 TI_Eugene <ti.eugene@gmail.com> 0.9.9-3
- help files marked as %%doc

* Tue Jul 30 2013 TI_Eugene <ti.eugene@gmail.com> 0.9.9-2
- pkgconfig(QtGui) replaced with qt4-devel
- Summary and Description expanded
- License changed to GPLv3+
- INSTALL removed from package doc

* Tue Jul 30 2013 TI_Eugene <ti.eugene@gmail.com> 0.9.9-1
- initial packaging for Fedora
